﻿@using System.Globalization
@model IList<WikiModel.Model.Group>

@helper WebGridPageFirstItem(WebGrid grid)
{
    @(((grid.PageIndex + 1) * grid.RowsPerPage) - (grid.RowsPerPage - 1));
}

@helper WebGridPageLastItem(WebGrid grid)
{
if (grid.TotalRowCount < (grid.PageIndex + 1 * grid.RowsPerPage))
{
        @grid.TotalRowCount;
    }
    else
    {
        @((grid.PageIndex + 1) * grid.RowsPerPage);
    }
}
@{
    //ViewBag.Title = @Caption.Index;
    Layout = "~/Views/Shared/_GlobalLayout.cshtml";

    //== WebGrid Constructor Parameters ====================
    var grid = new WebGrid(
        source: Model,
        defaultSort: "ID",
        rowsPerPage: 5,
        canPage: true,
        canSort: true,
        selectionFieldName: "SelectedRow"
        //ajaxUpdateContainerId: "gridContent",
        //columnNames: new[] {""},
        //ajaxUpdateCallback: "",
        //fieldNamePrefix: "",
        //pageFieldName: "",
        //sortFieldName: "",
        //sortDirectionFieldName: ""
        );
    var salaryPageSum = 0;
    var taxPageSum = 0;
    var rowIndex = ((grid.PageIndex + 1) * grid.RowsPerPage) - (grid.RowsPerPage - 1);
}


@*== Script ================================================*@

<script type="text/javascript">
    $(document).ready(function () {

        $('#GroupGride tbody tr').hover(function () {
            $(this).toggleClass('webgrid-Row-hover');
        });

        $('#GroupGride tbody tr').click(function () {
            $(this).addClass('webgrid-selected-Row');
        }, function () {
            window.document.location = $(this).find("a").attr("href");
        });
    });
</script>

@*== Action Buttons ================================================*@
<p class="alert">
    @Html.ActionLink("ایجاد مورد جدید", "Create", "Groups", null, new { @class = "btn btn-primary" })
</p>
<hr />

@*== Grid Body ================================================*@
<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div id="gridContent" class="gridContent">
                    @grid.GetHtml(
            htmlAttributes: new { id = "GroupGride" },
            caption: "لیست گروه ها",
            tableStyle: "webgrid-table",
            headerStyle: "webgrid-header",
            footerStyle: "webgrid-footer",
            rowStyle: "webgrid-row-style",
            alternatingRowStyle: "webgrid-alt-row",
            selectedRowStyle: "webgrid-selected-Row",
            displayHeader: true,
            mode: WebGridPagerModes.All,
            firstText: "<<  اولین",
            previousText: "<  قبلی",
            nextText: "بعدی  >",
            lastText: "آخرین  >>",
            numericLinksCount: 5,
            fillEmptyRows: false,
            emptyRowCellValue: "خالی",
            //IEnumerable<string> exclusions: new[] {""},
            //htmlAttributes: null,

            columns: grid.Columns(
            grid.Column(
            "ID",
            (grid.SortColumn == "ID" ? (grid.SortDirection == SortDirection.Ascending ? "# ▼" : "# ▲") : "#"),
            format: (item) => item.GetSelectLink(item.ID.ToString()),
            style: "IDWidth"),

            grid.Column(
            "ParentID",
            (grid.SortColumn == "ParentID" ? (grid.SortDirection == SortDirection.Ascending ? Caption.ParentID + " ▼" : Caption.ParentID + " ▲") : Caption.ParentID),
            format:
                @<text>
                    @*                    @{salaryPageSum += item.ParentID;*@
                    @{salaryPageSum++;

                    }
                    <span class="display-mode"><label id="lblParentID">@item.ParentID</label></span>
                </text>,
         style: "txtwidth"),

         grid.Column(
         "GroupName",
         (grid.SortColumn == "GroupName" ? (grid.SortDirection == SortDirection.Ascending ? Caption.GroupName + " ▼" : Caption.GroupName + " ▲") : Caption.GroupName),
         format:
                @<text>
                    <span class="display-mode"><label id="lblGroupName">@item.DisplayGroupName</label></span>
                </text>,
         style: "txtwith"),

         grid.Column(
         "HasChildren", Caption.HasChildren,
         format:
                @<text>
                    <input name="HasChildren" id="HasChildren" class="disabled" type="checkbox" @(item.HasChildren == true ? "Checked" : null) />
                    @*|
        @Html.DropDownList("HasChildren",
            new[] {
            new SelectListItem(){Text = @item.HasChildren == true ? "ندارد" : "دارد"},
        }, @item.HasChildren == true ? "دارد" : "ندارد")*@
                </text>,
         style: "txtwith"),
         //grid.Column(header: "Documents", columnName: "Documents",
         //                 style: "text-align-center-col",
         //                 format: item =>
         //                 {
         //                     var subGrid = new WebGrid(
         //                                            source: item.Documents,
         //                                            canPage: false,
         //                                            canSort: false
         //                                            );
         //                     return subGrid.GetHtml(
         //                                            htmlAttributes: new { id = "MySubGrid" },
         //                                            tableStyle: "webgrid",
         //                                            headerStyle: "webgrid-header",
         //                                            footerStyle: "webgrid-footer",
         //                                            alternatingRowStyle: "webgrid-alternating-row",
         //                                            selectedRowStyle: "webgrid-selected-row",
         //                                            rowStyle: "webgrid-row-style"
         //                         );
         //                 }),
         grid.Column("دستورات",
         format: @<text>
                    @Html.ActionLink(Caption.Edit, "Edit", "Groups", new { id = item.ID }, new { @class = "btn btn-sm btn-success" })
                    |
                    @Html.ActionLink(Caption.Details, "Details", "Groups", new { id = item.ID }, new { @class = "btn btn-sm btn-warning" })
                    |
                    @Html.ActionLink(Caption.Delete, "Delete", "Groups", new { id = item.ID }, new { @class = "btn btn-sm btn-danger" })
                </text>,
         style: "col2Width", canSort: false)))
                    <strong>صفحه:</strong> @(grid.PageIndex + 1) / @grid.PageCount,
                    <strong>ردیف:</strong> @WebGridPageFirstItem(@grid) - @WebGridPageLastItem(@grid) از @grid.TotalRowCount
                </div>
                @section scripts{
                    <script type="text/javascript">
                        $(function () {
                            $('#GroupGride tbody:first').append(
                            '<tr class="total-row"><td><strong>تعداد :</strong></td>\
         <td>@string.Format("{0:n0}", @salaryPageSum)</td>\
         @*<td>@string.Format("${0:n0}", @taxPageSum)</td>*@\
         </tr>');
                        });
                    </script>
                }
                @*== Do something after selected row ===============================*@
                <div id="gridHasSelect">
                    @if (grid.HasSelection)
                    {
                        var Group = (WikiModel.Model.Group)grid.Rows[grid.SelectedIndex].Value;
                        <hr />
                        <div class="well pull-right" style="direction:rtl;">
                            <b>@Caption.IDGroup:</b> @Group.ID     |
                            <b>@Caption.ParentID:</b>  @Group.ParentID     |
                            <b>@Caption.GroupName:</b> @Group.GroupName     |
                            <b>@Caption.HasChildren:</b> @{var x = Group.HasChildren == true ? "دارد" : "ندارد";} @x
                        </div>
                                }
                </div>
            </div>
        </div>
    </div>
</div>